#######################################
# Common to simple and priority gossip
#######################################
include.control                     prps stats

simulation.endtime                  25
network.size                        1000000

init.sch                            CDScheduler
init.sch.protocol                   pgossipdup
#init.sch.randstart

init.src                            SourceSetter
init.src.protocol                   pgossipdup
init.src.sources                    10
init.src.variables                  10
init.src.delay                      0

control.stats                       RoundStats
control.stats.step                  1
control.stats.protocol              pgossipdup
control.stats.density               0.1
control.stats.sources               10

protocol.transport                  ReliableTransport
protocol.transport.latency          1

protocol.neighboursP                NeighboursLinkable
protocol.neighboursS                NeighboursLinkable
protocol.neighboursPS               NeighboursLinkable

##################
# Priority gossip
##################
init.prim                           PrimarySetter
init.prim.protocol                  pgossipdup
init.prim.density                   0.1

control.prps                        PriorityRandomPeerSampler
control.prps.step                   10
control.prps.viewSize               100
control.prps.protocol               pgossipdup
control.prps.linkableP              neighboursP
control.prps.linkableS              neighboursS
control.prps.linkablePS             neighboursPS
control.prps.alpha                  0
control.prps.beta                   0

protocol.pgossipdup                 PriorityGossipDuplicate
protocol.pgossipdup.step            1
protocol.pgossipdup.linkableP       neighboursP
protocol.pgossipdup.linkableS       neighboursS
protocol.pgossipdup.transport       transport
protocol.pgossipdup.tagsActivated   true
protocol.pgossipdup.fanout          10
protocol.pgossipdup.variables       10

